Imports Microsoft.VisualBasic
Imports System
Imports DevExpress.ExpressApp.Win.Editors
Imports DevExpress.ExpressApp.Model
Imports DevExpress.ExpressApp.Editors

<PropertyEditor(GetType([String]), False)> _
Public Class FolderPropertyEditor
    Inherits WinPropertyEditor
    Public Sub New(ByVal objectType As Type, ByVal info As IModelMemberViewItem)
        MyBase.New(objectType, info)
        ControlBindingProperty = "FolderName"
    End Sub
    Private FolderUserControlCore As FolderUserControl = Nothing
    Public ReadOnly Property FolderUserControl() As FolderUserControl
        Get
            Return FolderUserControlCore
        End Get
    End Property
    Protected Overrides Function CreateControlCore() As Object
        FolderUserControlCore = New FolderUserControl()
        Return FolderUserControlCore
    End Function
End Class
